@import url("../styles/utili.css");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-weight: 500;
}

:root {
  --dark: #060606;
  --theme: #ffc700;
  --light: #ffffff;
  --footerBg: #262626;
}

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: #f5f5f5;
}

::-webkit-scrollbar {
  width: 16px;
}

::-webkit-scrollbar-track {
  border-radius: 10px;
  background: #090909;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--theme);
  border-radius: 9px;
  border: 1px solid var(--dark);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #d8ca02;
}

body {
  font-family: "Montserrat", sans-serif;
  background: var(--dark);
  color: var(--light);
  position: relative;
  height: 100%;
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html {
  position: relative;
  height: 100%;
  overflow-x: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  scroll-behavior: smooth;
}

::selection{
  color: rgb(218, 185, 40);
}
body:focus {
  outline: none;
}
/* =======================    Hero  =======================  */

#Hero-section {
  background: url("../assets/HOME\ BG.png");
  background-repeat: no-repeat;
  background-position: center;
  height: 100vh;
  width: 100vw;
  background-size: cover;
}
#Hero-section img {
  max-width: 100%;
}
.hero-img img {
  max-width: 50%;
}

nav {
  display: flex;
  justify-content: space-between;
  padding: 3rem 3rem;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1001;
}
.nav-items {
  display: none;
}
#menu img {
  cursor: pointer;
}
main {
  display: grid;
  flex-direction: column;
  place-items: center;
  align-items: center;
  height: 100vh;
}

.main-wrapper {
  text-align: center;
  margin-top: 15rem;
}

.main-wrapper h1 {
  font-size: 4.2rem;
}
.main-wrapper h3 {
  font-size: 1.52rem;
}

/* =======================    About   =======================  */

#about-section {
  background: url("../assets/About.png");
  background-repeat: no-repeat;
  background-position: center;
  height: 100vh;
  width: 100vw;
  background-size: cover;
  margin-top: 5rem;
}

.about-wrapper {
  height: 90vh;
}

.about-texts p {
  font-size: 1rem;
  font-weight: 400;
  margin: 1rem 0rem;
}

.about-texts {
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  margin-top: 5rem;
}
.about-texts h1 {
  position: relative;
  font-size: 3.125rem;
}

.about-texts h1::after {
  position: absolute;
  content: "";
  height: 3rem;
  width: 0.2rem;
  bottom: -4.5rem;
  border-radius: 50px;
  left: 50%;
  background: var(--theme);
}

.about-line {
  text-align: center;
  display: grid;
  place-items: center;
  background: var(--theme);
}

.about-wrapper {
  display: flex;
  justify-content: space-between;
  padding: 3rem 3rem;
}

.icons {
  margin: 0rem 5rem;
  display: flex;
  align-items: flex-end;
}
.icons i {
  margin-left: 1rem;
  cursor: pointer;
}

i{
  cursor: pointer;
}
 i:hover {
  color: var(--theme);
}

/* =======================    Card  =======================  */
.card-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 10rem;
  padding: 1rem 1rem;
}
.card img {
  max-width: 100%;
}
.card {
  padding: 2rem;
  border: 2px solid rgba(208, 198, 198, 0.17);
  transition: 0.5s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: rgb(0, 0, 0);
}
.card:hover {
  border: 2px solid var(--theme);
}

.card h3 {
  margin: 3rem 0rem;
  font-size: 2rem;
  font-weight: 700;
}
.card p {
  font-size: 1rem;
  font-weight: 600;
}
#card-section h1 {
  position: relative;
  font-size: 3.125rem;
  text-align: center;
  margin: 5rem;
}

#card-section h1::after {
  position: absolute;
  content: "";
  height: 3rem;
  width: 0.2rem;
  bottom: -4.5rem;
  border-radius: 50px;
  left: 50%;
  background: var(--theme);
}

/* =======================    Concepts  =======================  */
#concepts {
  background: url("../assets/Group\ 2.png");
  background-repeat: no-repeat;
  background-position: center;
  height: 70vh;
  /* width: 100vw; */
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: space-between;
  background-size: cover;
  padding: 10rem;
  margin-top: 10rem;
}
#concepts p {
  margin: 1.5rem 0rem;
  font-size: 1.5rem;
  font-weight: 400;
}
#concepts h1 {
  font-size: 2.82rem;
}

/* =======================   Swiper   =======================  */
.swiper {
  width: 800px;
  height: 1000px;
}

#slider-section {
  background: url("../assets/Group\ 3.png");
  /* height: 150vh; */
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
#slider-section h1 {
  padding-top: 10rem;
  position: relative;
  font-size: 3.125rem;
  text-align: center;
}

#slider-section h1::after {
  position: absolute;
  content: "";
  height: 3rem;
  width: 0.2rem;
  bottom: -4.5rem;
  border-radius: 50px;
  left: 50%;
  background: var(--theme);
}
.slides {
  display: flex;
  align-items: center;
}

.slides {
  padding: 0rem 10rem;
}

.slides img {
  max-width: 100%;
}
.slides-text {
  text-align: start;
  margin-left: 4rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: space-between;
}
.slides-text p {
  font-size: 0.95rem;
  margin: 2.2rem;
  font-weight: 400;
  line-height: 1.5;
}

.slides-text h2 {
  font-size: 2.8125rem;
}

.swiper-pagination {
  background-color: rgba(69, 29, 130, 0.17);
  color: var(--theme);
}

.swiper {
  width: 100%;
  height: 95%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
}

/* =======================    BRAND   =======================  */

#brand-section {
  background: url("../assets/brand-bg.png");
  background-repeat: no-repeat;
  background-position: center;
  height: 100vh;
  width: 100vw;
  background-size: cover;
  display: grid;
  place-items: center;
  transition: 0.5s ease;
}
.brand {
  height: 200px !important;
  width: 200px !important;
  display: flex;
  align-items: center;
  justify-content: center;
  display: flex;
  flex-direction: column;
}
.brnad-wrapper {
  display: flex;
  width: 80vw;
  justify-content: space-between;
  flex-wrap: wrap;
}
.brand h3 {
  margin-top: 2.5rem;
  text-transform: uppercase;
  font-weight: 400;
}
.brnad-wrapper img {
  max-width: 100%;
}
.brnad-wrapper .brand {
  cursor: pointer;
}

.brnad-wrapper .brand:hover {
  background: rgb(10, 10, 10);
  transform: rotate(7deg);
}

/* =======================   Gallery  =======================  */
#gallery-section h1 {
  padding-top: 10rem;
  position: relative;
  font-size: 3.125rem;
  text-align: center;
}
#gallery-section {
  background: #060606;
}

#gallery-section h1::after {
  position: absolute;
  content: "";
  height: 3rem;
  width: 0.2rem;
  bottom: -4.5rem;
  border-radius: 50px;
  left: 50%;
  background: var(--theme);
}

.gallery {
  margin-top: 15rem;
}

.grid-wrapper {
  padding: 1rem;
}
.grid-wrapper img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  display: inline-block;
  position: relative;
}

.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: 0.5s ease;
  background-color: rgba(255, 199, 0, 0.55);
  display: grid;
  place-items: center;
}
.overlay i {
  box-shadow: 1rem solid rgba(255, 255, 255);
}

.container {
  position: relative;
  /* width: 50%; */
}
.gall1,
.gall2,
.gall3,
.gall4,
.gall5,
.gall6,
.gall7,
.gall8,
.gall9 {
  position: relative;
  cursor: pointer;
}

.gall1:hover .overlay {
  opacity: 1;
}
.gall2:hover .overlay {
  opacity: 1;
}
.gall3:hover .overlay {
  opacity: 1;
}
.gall4:hover .overlay {
  opacity: 1;
}
.gall5:hover .overlay {
  opacity: 1;
}
.gall6:hover .overlay {
  opacity: 1;
}
.gall7:hover .overlay {
  opacity: 1;
}
.gall8:hover .overlay {
  opacity: 1;
}
.gall9:hover .overlay {
  opacity: 1;
}

/* Main CSS */
.grid-wrapper > div {
  display: flex;
  justify-content: center;
  align-items: center;
}
.grid-wrapper > div > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 5px;
}

.grid-wrapper {
  display: grid;
  grid-gap: 10px;
  grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
  /* grid-auto-rows: 400px; */
  grid-auto-flow: dense;
}
.grid-wrapper .wide {
  grid-column: span 2;
}
.grid-wrapper .small-wide {
  grid-column: span 1.5;
}
.grid-wrapper .tall {
  grid-row: span 2;
}
.grid-wrapper .big {
  grid-column: span 2;
  grid-row: span 2;
}

/* =======================   Team Section  =======================  */

#team-section {
  background: url("../assets/team.png");
  background-repeat: no-repeat;
  background-position: center;
  /* height: 100vh;
  width: 100vw; */
  background-size: cover;
  transition: 0.5s ease;
}
#team-section h1 {
  padding-top: 10rem;
  position: relative;
  font-size: 3.125rem;
  text-align: center;
}
#team-section h1::after {
  position: absolute;
  content: "";
  height: 3rem;
  width: 0.2rem;
  bottom: -4.5rem;
  border-radius: 50px;
  left: 50%;
  background: var(--dark);
}

.swiper-slide {
  display: flex;
  flex-direction: column;
}
.swiper-slide img {
  max-width: 100%;
}
.swiper-slide h3 {
  font-size: 2.5rem;
  color: var(--dark);
  margin: 2rem 0rem 0.5rem 0rem;
}
.swiper-slide h6 {
  font-size: 23px;
  font-weight: 500;
}
.swiper-slide p {
  font-size: 15px;
  /* text-transform:; */
  padding: 3rem 2rem 3rem 1rem;
  /* font-weight:600; */
  text-align: left;
}
.swiper-slide {
  margin: 10rem 0rem;
  cursor: pointer;
  border: 2px solid transparent;
  padding: 1rem;
}
.swiper-slide:hover {
  border: 2px solid var(--dark);
}

.mobile {
  display: none;
}
.mobile-wrap {
  display: block;
}

/* =======================   Contact  =======================  */

#contact-section h1 {
  padding-top: 10rem;
  position: relative;
  font-size: 3.125rem;
  text-align: center;
}
#contact-section h1::after {
  position: absolute;
  content: "";
  height: 3rem;
  width: 0.2rem;
  bottom: -4.5rem;
  border-radius: 50px;
  left: 50%;
  background: var(--theme);
}

.contact-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 7% 15%;
  flex-wrap: wrap;
}

.contact-info {
  margin-top: 3rem;
}
.call,
.location,
.message {
  display: flex;
  align-items: center;
  margin: 2rem 0.5rem;
  padding-top: 1rem;
}
.contact-info h4 {
  margin-left: 2.5rem;
}

.contact-form {
  width: 60%;
}
.form-group {
  display: flex;
  justify-content: space-between;
  margin: 3rem 0rem;
}

.push {
  margin-left: 1.55rem;
}

input[type="text"] {
  width: 100%;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: vertical;
  background: transparent;
  color: #fff;
  border: 2px solid rgba(255, 199, 0, 0.9);
  padding: 1rem;
  overflow: hidden;
  position: relative;
}

.input-btn {
  position: absolute;
  right: 15%;
  /* margin-top:1rem; */
  padding: 1.1rem 2rem;
  background: var(--theme);
  border: 4px var(--theme);
  outline: none;
  cursor: pointer;
  overflow: hidden;
  transition: 0.5s ease;
}
.input-btn:hover {
  padding-right: 3rem;
}
input:focus {
  outline: none;
  border: 2px solid rgba(255, 199, 0, 0.7);
  color: var(--theme);
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: var(--light);
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: var(--light);
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: var(--light);
}

footer {
  display: grid;
  place-items: center;
  background: var(--footerBg);
  padding: 5rem;
}

footer h5 {
  font-size: 15px;
  margin-top: 2.5rem;
}

@media screen and (max-width: 820px) {
  .card-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 1rem 1rem;
  }

  .slides {
    display: block;
    align-items: center;
  }
  #slider-section h1 {
    padding: 3rem;
    position: relative;
    font-size: 3.125rem;
  }
  .card-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 1rem 1rem;
  }
  #concepts {
    height: 60vh;
    /* width: 100vw; */
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
    background-size: cover;
    padding: 20rem 2rem;
    margin-top: 10rem;
  }
  .slides {
    padding: 1rem;
  }
  .slides-text p {
    font-size: 0.55rem;
    margin: 1rem 0rem;
  }
  .slides-text {
    text-align: start;
    margin-left: 0.2rem;
    margin-top: 2rem;
    margin-bottom: 2.75rem;
  }
  .slides-text {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    justify-content: space-between;
  }
  .swiper {
    width: 100%;
    height: 150%;
  }
  #slider-section h2 {
    text-align: left;
  }
  .contact-wrapper {
    margin: 7% 5%;
    flex-wrap: wrap;
  }

  .input-btn {
    right: 5%;
  }
}
@media screen and (max-width: 580px) {
  #about-section {
    margin-top: 1rem;
  }
  .icons {
    margin: 5rem 5rem;
    display: flex;
    align-items: center;
  }
  .about-wrapper {
    display: block;
  }
  .about-texts p {
    margin-top: 8rem;
  }
  .card-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 1rem 1rem;
  }
  #concepts {
    height: 60vh;
    /* width: 100vw; */
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
    background-size: cover;
    padding: 20rem 2rem;
    margin-top: 10rem;
  }

  .slides-text p {
    font-size: 0.95rem;
    margin: 1rem 0rem;
  }
  .slides-text {
    text-align: start;
    margin-left: 0.2rem;
    margin-top: 2rem;
    margin-bottom: 2.75rem;
  }
  .slides-text {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    justify-content: space-between;
  }
  .swiper {
    width: 100%;
    height: 120%;
  }
  #slider-section h2 {
    text-align: left;
  }
  #brand-section {
    background-size: cover;
    display: grid;
    place-items: center;
    align-items: center;
    justify-content: center;
  }
  .brnad-wrapper {
    display: flex;
    margin: 3rem;
    width: 100vw;
    justify-content: center;
    flex-wrap: wrap;
  }

  .grid-wrapper img {
    /* max-width: 80%; */
    margin-bottom: 1rem;
  }
  .grid-wrapper {
    display: block;
  }

  #brand-section {
    height: 140vh;
    width: 100vw;
  }

  .HIDE {
    display: none !important;
  }
  .newSwiper {
    display: block;
    flex-direction: column;
  }
  .mobile {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 2rem;
  }
  .mobile-wrap {
    display: flex;
    flex-direction: column;
    gap: 5rem;
    margin-top: 7rem;
  }

  .mobile {
    display: flex;
    flex-direction: column;
  }
  .mobile img {
    max-width: 100%;
  }
  .mobile h3 {
    font-size: 2.5rem;
    color: var(--dark);
    margin: 2rem 0rem 0.5rem 0rem;
  }
  .mobile h6 {
    font-size: 23px;
    font-weight: 500;
  }
  .mobile p {
    font-size: 15px;
    /* text-transform:; */
    padding: 3rem 2rem 1rem 1rem;
    /* font-weight:600; */
    text-align: left;
  }
  .mobile {
    cursor: pointer;
    border: 2px solid transparent;
    padding: 1rem;
  }
  .mobile:hover {
    border: 2px solid var(--dark);
  }
  .contact-wrapper {
    margin: 7% 1%;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
  }

  .input-btn {
    right: 5%;
  }
  .form-group {
    flex-direction: column;
    justify-content: space-between;
    margin: 2rem 0rem;
  }
  .push {
    margin-left: 0rem;
    margin-top: 2rem;
  }
  .contact-form {
    width: 90%;
  }
  footer {
    display: bloc;
    place-items: center;
    background: var(--footerBg);
    padding: 0.1em;
  }
  .footer-icon {
    padding: 2rem;
  }
  footer h5 {
    font-size: 15px;
    margin-bottom: 0.5rem;
  }
}

.site-main-wrapper {
  position: relative;
}
.hamberger {
  position: absolute;
  top: 40px;
  right: 65px;
  z-index: 11;
  background: none;
  border: none;
  cursor: pointer;
}
.hamberger img {
  max-width: 2.1rem;
}

.mobile-nav {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1001;
  font-weight: 500;
  background: rgba(0, 0, 0, 0.9);
  width: 100%;
  height: 100vh;
  padding: 2rem;
  padding-top: 5rem;
  transform: translateX(-100%);
  -webkit-transform: translateX(-100%);
  -moz-transform: translateX(-100%);
  -ms-transform: translateX(-100%);
  -o-transform: translateX(-100%);

  transition: all 0.5s ease-in-out;
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  -ms-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
}

.open {
  transform: translateX(0);
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
}

.times {
  position: fixed;
  top: 55px;
  right: 60px;
  border: none;
  background: none;
  outline: none;
  cursor: pointer;
}

.times img {
  width: 40px;
}

.mobile-nav ul {
  list-style: none;
  text-align: center;
}

.mobile-nav ul li a {
  color: var(--theme);
  text-decoration: none;
  font-size: 1.8rem;
  font-weight: 500;
}

.mobile-nav ul li a:hover {
  text-decoration: underline;
  font-size: 1.8rem;
  font-weight: 500;
}
.mobile-nav ul li {
  margin-top: 3rem;
}
